Subscriptions
All operations require authentication.
List stream subscriptionsProduction
Returns the stream subscriptions of the Logs Data Platform service.
Path parameters
Service name
Stream ID
Query parameters
Filter by resource name (like)
Filter by resource type (like)
Response
Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId}/ subscription \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a stream subscriptionProduction
Returns the stream subscription.
Path parameters
Service name
Stream ID
Subscription ID
Response
Creation date of the subscription
Log kind name of this subscription
Subscribed resource, where the logs come from
Name of the destination log service
Id of the destination log stream
Subscription ID
Last update date of the subscription
Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId}/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Delete a stream subscriptionProduction
Deletes the stream subscription.
Path parameters
Service name
Stream ID
Subscription ID
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId}/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}